body{
    margin-left: 10%;
    margin-right: 10%;
    font-family: verdana, arial, sans-serif;
    line-height: 120%;
    font-size: 12pt;
    background-color: #dee4d9;
    color: #000000;
}

h1{
    border-top: solid 2px black;
    margin-top: 0;
    font-size: 18pt;
    padding: 0.2em;
}

h2{
    font-size: 15pt;
}

h2.PartTitle{
    font-style: italic;
    display: none;
}

h3{
    font-size: 12pt;
    text-align: right;
    line-height: 100%;
    margin: 0;
}

h4{
    font-size: 11pt;
}

div.NavBar{
    padding: 2px;
    border-top: solid 2px black;
    margin-top: 0.2em;
    clear: both;
}

div.NavBar button{
    font-weight: bold;
    text-align: center;
    clear: both;
}

ol.EmbeddedTOC{
    list-style-type: lower-alpha;
    display: none;
}

div.Article{
/* Articles are hidden by default. */
    display: none; 
    clear: both;
    margin-bottom: 4em;
}

/* Images are floated by default. */
img{
    float: left;
    margin-top: 1em;
    margin-left: 1em;
    margin-bottom: 1em;
    margin-right: 2em;
    clear: left;
}

/* However, inline (embedded) images need different settings. */
img.InlineImage{
    display: inline;
    float: none;
    margin: 0.2em 0.2em 0 0.2em;
}

/* Block images should not float. */
img.BlockImage{
    display: block;
    float: none;
}

/* Lists need careful margins. */
li{
    margin-left: 2em;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

/* Popup div is hidden normally. */
div#Popup{
    display: none;
    position: fixed;
    right: 5%;
    top: 5%;
    width: 40%;
    background-color: #5a7a40;
    color: #f6e565;
    border-width: 1px 2px 2px 1px;
    border-color: #bbddbb #558855 #558855 #bbddbb;
    border-style: solid;
    padding: 1em;
}

div.PopupCloser{
    float: right;
    width: 1em;
    height: 1em;
    border-style: outset;
    border-width: 1px;
    text-align: center;
    vertical-align: middle;
    padding: 2px;
    cursor: pointer;
}

/* Clickable things need hovers and pointers. */
.IndexLink, .GlossaryLink, .TOCLink, .TOCLinkSubheading, .InternalLink{
    border-bottom: dotted 1px black;
    cursor: pointer;
}

.IndexLink:hover, .GlossaryLink:hover, .TOCLink:hover, .TOCLinkSubheading:hover, .InternalLink:hover{
    background-color: #f6e565;
    color: #000000;
}

/* Regular links. */
a{
    color: inherit;
    background-color: inherit;
    text-decoration: underline;
}

a:hover{
    background-color: #f6e565;
    color: #000000;
}

.GlossTerm{
    font-weight: bold;
}

.GlossDef{
    margin-left: 5em;
}

.GuiButton{
    border-style: solid;
    border-color: #d0d0d0 #909090 #909090 #d0d0d0;
    border-width: 1px;
    background-color: #c0c0c0;
    color: #000000;
    font-weight: bold;
    font-size: 80%;
    padding: 0.1em;
    text-align: center;
}

.GuiLabel{
    border: solid 1px #000000;
    background-color: #c0c0c0;
    color: #000000;
    font-size: 80%;
    padding: 0.1em;
    text-align: center;
}

.KeyCap{
    border: solid 1px #000000;
    background-color: #f5f5dc;
    color: #000000;
    font-size: 80%;
    padding: 0.1em;
    text-align: center;
}

.FileName{
    font-size: 90%;
    font-weight: bold;
}

.Code{
    font-family: monospace;
    font-size: 110%;
}

/* Mailing addresses */
 p.Address{
     margin-left: 5em;
 }

/* Styles for interactive screenshots. */

div.ScreenshotCallouts{
    display: none;
}

div.ClickAreaDiv{
    position: absolute;
    display: none;
    background-color: transparent;
    color: #000000;
    border-style: solid;
    border-width: 0px;
    text-align: center;
    padding: 0;
    margin: 0;
    cursor: pointer;
    overflow: hidden;
}